GET api/v1/Users?UserId={UserId}&UserDataRetrievalOptions={UserDataRetrievalOptions}
Returns a single UserViewModel if the API token has rights to view it
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | globally unique identifier |
Required |
|
| UserDataRetrievalOptions | UserDataRetrievalOptions |
Default value is Unspecified |
Body Parameters
None.
Response Information
Resource Description
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PersonId |
Represents the PK of an existing User in BluSKY |
globally unique identifier |
None. |
| FirstName |
Represents the User's first/given name. |
string |
None. |
| LastName |
Represents the User's last name / surname. |
string |
None. |
| MiddleInitial |
Represents the User's middle initial |
string |
None. |
| Nickname |
Represents the User's nickname |
string |
None. |
| sGenderId |
Represents the User's gender association for Life Safety purposes: 1=Female, 2=Male, 3=Unspecified |
integer |
None. |
| DefaultFloorId |
Represents the PK of the Floor that the person's desk/primary workplace is on. |
globally unique identifier |
None. |
| DefaultFloorName |
Represents the name of the Floor that the person's desk/primary workplace is on. |
string |
None. |
| DefaultFloorStopId |
Represents the PK of the default Floor Stop in the elevator that the person will go to when using Destination elevator systems. |
integer |
None. |
| DefaultFloorStopName |
Represents the name of the default Floor Stop in the elevator that the person will go to when using Destination elevator systems. |
string |
None. |
| DefaultEmail |
Represents the default email address of the User |
string |
None. |
| DefaultPhone |
Represents the default phone number of the User |
string |
None. |
| FacilityId |
Represents the PK of the facility that the User is located in |
globally unique identifier |
None. |
| FacilityName |
Represents the name of the facility that the User is located in |
string |
None. |
| CompanyInstanceType |
Represents the type of company instance that the User belongs to - 1 = Occupancy, 2 = Vendor, 3 = System Owner, 4 = Integrator |
integer |
None. |
| CompanyName |
Represents the name of the company instance that the User belongs - name of the occupancy, name of the vendor, etc. |
string |
None. |
| ACSystemId |
Represents the PK of the Access Control System that the User is located in |
globally unique identifier |
None. |
| ACSystemName |
Represents the name of the Access Control System that the User is located in |
string |
None. |
| StartDatetime |
Represents the DateTime when the record will start to be valid. If null, the record is currently active. |
date |
None. |
| EndDatetime |
Represents the DateTime when the record will start to be invalid. If null and StartDateTime is in the past, the record is currently active. |
date |
None. |
| AccessRightsSuspended |
Represents whether or not the User's Access Rights are suspended |
boolean |
None. |
| AccessRightsSuspendedStart |
Represents the DateTime when the User's Access Rights will become suspended. If null and AccessRightsSuspended is true, all access are currently suspended. |
date |
None. |
| AccessRightsSuspendedEnd |
Represents the DateTime when the User's Access Rights will become reactivated. If null and AccessRightsSuspended is true, access rights are suspended indefinitely. |
date |
None. |
| WebSiteRightsSuspended |
Represents whether or not the User's BluSKY login rights are suspended |
boolean |
None. |
| WebSiteRightsSuspendedStart |
Represents the DateTime when the User's BluSKY login rights will become suspended. If null and WebSiteRightsSuspended is true, all login rights are currently suspended. |
date |
None. |
| WebSiteRightsSuspendedEnd |
Represents the DateTime when the User's BluSKY login rights will become re-enabled. If null and WebSiteRightsSuspended is true, all login rights are suspended indefinitely. |
date |
None. |
| BadgeTemplateId |
Represents the PK of the Badge Template assinged to the User. Retrieve this by calling /Badge/GetAllBadges |
globally unique identifier |
None. |
| EmployeeNumber |
Represents the employee number assigned to the User (typically by their HR department) |
string |
None. |
| HasPicture |
Represents whether or not an image of the User exists in the System |
boolean |
None. |
| PersonPhotoUri |
Represents the path to the User's default badge image (if one exists) |
string |
None. |
| ActiveLoginDatetime |
Represents the time the User logged in to their current session in BluSKY |
date |
None. |
| Cards |
Represents a list of all Cards assigned to the User |
Collection of PersonCardViewModel |
None. |
| ContactItems |
Represents a list of all Contact Items associated with the User |
Collection of ContactInfoUserViewModel |
None. |
| Roles |
Represents a list of all Roles assigned to the User |
Collection of PersonRoleViewModel |
None. |
| ReaderAccess |
Represents a list of all direct Reader Access assignments made to the User |
Collection of ReaderAccessViewModel |
None. |
| FloorStopAccess |
Represents a list of all direct Floor Stop Access assignments made to the User |
Collection of FloorStopAccessViewModel |
None. |
| AccessLevels |
Represents a list of all Access Level assignments made to the User |
Collection of AccessLevelViewModel |
None. |
| AccessLevelGroups |
Represents a list of all Access Level Group assignments made to the User |
Collection of AccessLevelGroupViewModel |
None. |
| UDFs |
Represents a list of all User Defined Fields of the user |
Collection of UDFLabelValueViewModel |
None. |
| Vehicles |
Represents a list of all vehicle of the user |
Collection of PersonUpdateVehicleViewModel |
None. |
| Deleted |
Represents whether or not a given User is deleted |
boolean |
None. |
| CheckInDateTime |
Represents last check-in date/time for a a given User |
date |
None. |
| CheckOutDateTime |
Represents last check-out date/time for a a given User |
date |
None. |
| JobTitle |
Represents User's Job Title |
string |
None. |
| DepartmentName |
The name of the department the person belgons to |
string |
None. |
| DepartmentCode |
The Code of the department the person belgons to |
string |
None. |
| PronounId |
The ID of the pronoun the person needs to be called as. Example : He/Him/His Or They/Them/Theirs She/Her/Hers Or They/Them/Theirs She/Her/Hers He/Him/His They/Them/Theirs To Fetch Pronouns : api/v1/Pronouns |
globally unique identifier |
None. |
| PronounName |
The pronoun the person needs to be called as. Example : He/Him/His Or They/Them/Theirs She/Her/Hers Or They/Them/Theirs She/Her/Hers He/Him/His They/Them/Theirs To Fetch Pronouns : api/v1/Pronouns |
string |
None. |
| WorkEnvironmentTypeName |
Determines Employment Type of the person, Example : Full time Remote, Hybrid etc. To Fetch WorkEnvironmentType : api/v1/WorkEnvironmentTypes |
string |
None. |
| WorkEnvironmentTypeId |
Determines the ID of Employment Type of the person, Example : Full time Remote, Hybrid etc. To Fetch WorkEnvironmentType : api/v1/WorkEnvironmentTypes |
globally unique identifier |
None. |
| EmploymentTermId |
Determines whether the employment ID of EmploymentTermId Ex: Permenent or Temporary |
EmploymentTerm |
None. |
| EmploymentTermName |
Determines description of EmploymentTerm |
string |
None. |
| WorkerTypeId |
Determines the ID of the work type the person is going to be doing, example : Consultant, Contractor etc.. |
WorkerType |
None. |
| WorkerTypeName |
Determines the name of type of work the person is going to be doing, example : Consultant, Contractor etc.. |
string |
None. |
| OfficeDeskLocation |
Determines the location of the office desk |
string |
None. |
| EmergencyContactName |
Determines the Name of the Person, whose contact is given as Emergency Contact. |
string |
None. |
| EmergencyContactRelationship |
Determines the Relationship of the Person with user, whose contact is given as Emergency Contact. |
string |
None. |
| EmergencyContactHomePhone |
Determines the Emergency Contact(Home) for a given user |
string |
None. |
| EmergencyContactWorkPhone |
Determines the Emergency Contact(Work) for a given user |
string |
None. |
| EmergencyContactMobilePhone |
Determines the Emergency Contact(Mobile) for a given user |
string |
None. |
Response Formats
application/json, text/json
{
"PersonId": "4f35310b-3314-46e5-aa5d-cc68d5ecca95",
"FirstName": "sample string 2",
"LastName": "sample string 3",
"MiddleInitial": "sample string 4",
"Nickname": "sample string 5",
"sGenderId": 1,
"DefaultFloorId": "f2e32b16-16dc-4784-9853-08e1c7a7fed8",
"DefaultFloorName": "sample string 6",
"DefaultFloorStopId": 1,
"DefaultFloorStopName": "sample string 7",
"DefaultEmail": "sample string 8",
"DefaultPhone": "sample string 9",
"FacilityId": "3d73c63d-1347-4649-82f2-2f9f1e0d8a39",
"FacilityName": "sample string 10",
"CompanyInstanceType": 11,
"CompanyName": "sample string 12",
"ACSystemId": "13c5e8d8-334a-4c31-b456-5f1926eb0b2e",
"ACSystemName": "sample string 13",
"StartDatetime": "2026-08-20T21:32:20.9408111+00:00",
"EndDatetime": "2026-08-20T21:32:20.9408111+00:00",
"AccessRightsSuspended": true,
"AccessRightsSuspendedStart": "2026-08-20T21:32:20.9408111+00:00",
"AccessRightsSuspendedEnd": "2026-08-20T21:32:20.9408111+00:00",
"WebSiteRightsSuspended": true,
"WebSiteRightsSuspendedStart": "2026-08-20T21:32:20.9408111+00:00",
"WebSiteRightsSuspendedEnd": "2026-08-20T21:32:20.9408111+00:00",
"BadgeTemplateId": "a58138a2-aaf0-4a99-a3e0-671c226cf489",
"EmployeeNumber": "sample string 17",
"HasPicture": true,
"PersonPhotoUri": "sample string 19",
"ActiveLoginDatetime": "2026-08-20T21:32:20.9408111+00:00",
"Cards": [
{
"PersonCardId": "fe5be779-0db3-42a4-8e46-150d1e9cbd61",
"CardName": "sample string 2",
"CardId": "4d9bb0cb-89f9-4cb9-a4bf-02c6998153b7",
"CardType": 4,
"CardACSystemId": "f047e8ed-3726-4b67-981c-3019fbd56ab9",
"CardACSystemName": "sample string 6",
"InternalCardNumber": 7,
"ExternalCardNumber": "sample string 8",
"CardSerialNumber": 1,
"FacilityCode": 9,
"IssueCode": 10,
"PIN": "sample string 11",
"Deleted": true,
"HidInvitationCode": "sample string 13",
"InvitationRedeemedDateTime": "2026-08-20T21:32:20.9408111+00:00",
"DateInserted": "2026-08-20T21:32:20.9408111+00:00",
"DateUpdated": "2026-08-20T21:32:20.9408111+00:00",
"CardActivationStartDateTime": "2026-08-20T21:32:20.9408111+00:00",
"CardDeactivationStartDateTime": "2026-08-20T21:32:20.9408111+00:00",
"CardUserFlags": 1,
"EncryptedMobileCredentials": [
{
"MobileKeySetId": "ddefd78c-bd5f-4151-b876-8dab16eda5c1",
"KeyIndex": 2,
"EncryptedCredential": "sample string 3"
},
{
"MobileKeySetId": "ddefd78c-bd5f-4151-b876-8dab16eda5c1",
"KeyIndex": 2,
"EncryptedCredential": "sample string 3"
}
],
"CredentialType": 1
},
{
"PersonCardId": "fe5be779-0db3-42a4-8e46-150d1e9cbd61",
"CardName": "sample string 2",
"CardId": "4d9bb0cb-89f9-4cb9-a4bf-02c6998153b7",
"CardType": 4,
"CardACSystemId": "f047e8ed-3726-4b67-981c-3019fbd56ab9",
"CardACSystemName": "sample string 6",
"InternalCardNumber": 7,
"ExternalCardNumber": "sample string 8",
"CardSerialNumber": 1,
"FacilityCode": 9,
"IssueCode": 10,
"PIN": "sample string 11",
"Deleted": true,
"HidInvitationCode": "sample string 13",
"InvitationRedeemedDateTime": "2026-08-20T21:32:20.9408111+00:00",
"DateInserted": "2026-08-20T21:32:20.9408111+00:00",
"DateUpdated": "2026-08-20T21:32:20.9408111+00:00",
"CardActivationStartDateTime": "2026-08-20T21:32:20.9408111+00:00",
"CardDeactivationStartDateTime": "2026-08-20T21:32:20.9408111+00:00",
"CardUserFlags": 1,
"EncryptedMobileCredentials": [
{
"MobileKeySetId": "ddefd78c-bd5f-4151-b876-8dab16eda5c1",
"KeyIndex": 2,
"EncryptedCredential": "sample string 3"
},
{
"MobileKeySetId": "ddefd78c-bd5f-4151-b876-8dab16eda5c1",
"KeyIndex": 2,
"EncryptedCredential": "sample string 3"
}
],
"CredentialType": 1
}
],
"ContactItems": [
{
"ContactInfoId": "16200628-113c-4fb6-8311-a1a997a474c1",
"ContactType": "sample string 2",
"Label": "sample string 3",
"Value": "sample string 4",
"Deleted": true,
"IsDefault": true
},
{
"ContactInfoId": "16200628-113c-4fb6-8311-a1a997a474c1",
"ContactType": "sample string 2",
"Label": "sample string 3",
"Value": "sample string 4",
"Deleted": true,
"IsDefault": true
}
],
"Roles": [
{
"RoleScopeTypeId": 1,
"RoleScopeTypeName": "sample string 2",
"RoleScopeId": "724ccb5d-ebaa-440c-9765-948f0bfe4a34",
"RoleScopeName": "sample string 3",
"RoleId": 4,
"Name": "sample string 5"
},
{
"RoleScopeTypeId": 1,
"RoleScopeTypeName": "sample string 2",
"RoleScopeId": "724ccb5d-ebaa-440c-9765-948f0bfe4a34",
"RoleScopeName": "sample string 3",
"RoleId": 4,
"Name": "sample string 5"
}
],
"ReaderAccess": [
{
"ReaderScheduleId": 1,
"ReaderName": "sample string 2",
"ScheduleName": "sample string 3",
"AccessRightsGrantedStart": "2026-08-20T21:32:20.9408111+00:00",
"AccessRightsGrantedEnd": "2026-08-20T21:32:20.9408111+00:00"
},
{
"ReaderScheduleId": 1,
"ReaderName": "sample string 2",
"ScheduleName": "sample string 3",
"AccessRightsGrantedStart": "2026-08-20T21:32:20.9408111+00:00",
"AccessRightsGrantedEnd": "2026-08-20T21:32:20.9408111+00:00"
}
],
"FloorStopAccess": [
{
"FloorStopScheduleId": 1,
"FloorStopName": "sample string 2",
"ScheduleName": "sample string 3",
"AccessRightsGrantedStart": "2026-08-20T21:32:20.9408111+00:00",
"AccessRightsGrantedEnd": "2026-08-20T21:32:20.9408111+00:00"
},
{
"FloorStopScheduleId": 1,
"FloorStopName": "sample string 2",
"ScheduleName": "sample string 3",
"AccessRightsGrantedStart": "2026-08-20T21:32:20.9408111+00:00",
"AccessRightsGrantedEnd": "2026-08-20T21:32:20.9408111+00:00"
}
],
"AccessLevels": [
{
"AccessLevelId": 1,
"Name": "sample string 2",
"AccessLevelStartDate": "2026-08-20T21:32:20.9408111+00:00",
"AccessLevelEndDate": "2026-08-20T21:32:20.9408111+00:00",
"Deleted": true,
"ACSystemId": "0bfbdf29-2e83-4cb9-b7c9-91ff1a281b0d",
"CompanyId": "f3fe341f-85ff-4c21-86e7-dae14cbaae34",
"ApplyByDefault": true,
"AccessLevelTypeId": "1f8ad141-96a0-4734-aaae-93b623b316f8",
"FacilityId": "f49b407c-4f52-44ac-a662-0bf2382ce877"
},
{
"AccessLevelId": 1,
"Name": "sample string 2",
"AccessLevelStartDate": "2026-08-20T21:32:20.9408111+00:00",
"AccessLevelEndDate": "2026-08-20T21:32:20.9408111+00:00",
"Deleted": true,
"ACSystemId": "0bfbdf29-2e83-4cb9-b7c9-91ff1a281b0d",
"CompanyId": "f3fe341f-85ff-4c21-86e7-dae14cbaae34",
"ApplyByDefault": true,
"AccessLevelTypeId": "1f8ad141-96a0-4734-aaae-93b623b316f8",
"FacilityId": "f49b407c-4f52-44ac-a662-0bf2382ce877"
}
],
"AccessLevelGroups": [
{
"AccessLevelGroupId": 1,
"Name": "sample string 2"
},
{
"AccessLevelGroupId": 1,
"Name": "sample string 2"
}
],
"UDFs": [
{
"UDFId": "cfc981ec-ca49-4f01-b891-daa793df0262",
"UDFLabelName": "sample string 2",
"UDFValue": "sample string 3"
},
{
"UDFId": "cfc981ec-ca49-4f01-b891-daa793df0262",
"UDFLabelName": "sample string 2",
"UDFValue": "sample string 3"
}
],
"Vehicles": [
{
"VehicleId": "3da9b704-0fac-4afe-8b2e-086b73595f97",
"PersonVehicleId": "4c4a98e0-bcb6-485f-b0b1-4c6b1b46389e",
"PersonId": "6d55443a-5db6-4223-beab-86fae4727ba7",
"sRegionId": "f2713caf-0ee9-4fc9-b837-7673db4f9344",
"Description": "sample string 5",
"Year": "sample string 6",
"Make": "sample string 7",
"Model": "sample string 8",
"Color": "sample string 9",
"PlateNumber": "sample string 10",
"sVehicleTypeId": "c2498d43-96e5-4845-9fd6-a5431a24ec53"
},
{
"VehicleId": "3da9b704-0fac-4afe-8b2e-086b73595f97",
"PersonVehicleId": "4c4a98e0-bcb6-485f-b0b1-4c6b1b46389e",
"PersonId": "6d55443a-5db6-4223-beab-86fae4727ba7",
"sRegionId": "f2713caf-0ee9-4fc9-b837-7673db4f9344",
"Description": "sample string 5",
"Year": "sample string 6",
"Make": "sample string 7",
"Model": "sample string 8",
"Color": "sample string 9",
"PlateNumber": "sample string 10",
"sVehicleTypeId": "c2498d43-96e5-4845-9fd6-a5431a24ec53"
}
],
"Deleted": true,
"CheckInDateTime": "2026-08-20T21:32:20.9408111+00:00",
"CheckOutDateTime": "2026-08-20T21:32:20.9408111+00:00",
"JobTitle": "sample string 21",
"DepartmentName": "sample string 22",
"DepartmentCode": "sample string 23",
"PronounId": "046d62a8-7d6a-496e-bfb4-48ec89a4a7f9",
"PronounName": "sample string 24",
"WorkEnvironmentTypeName": "sample string 25",
"WorkEnvironmentTypeId": "78f7fbe0-f5c7-4e77-9c06-a657323f1c7e",
"EmploymentTermId": 0,
"EmploymentTermName": "sample string 26",
"WorkerTypeId": 0,
"WorkerTypeName": "sample string 27",
"OfficeDeskLocation": "sample string 28",
"EmergencyContactName": "sample string 29",
"EmergencyContactRelationship": "sample string 30",
"EmergencyContactHomePhone": "sample string 31",
"EmergencyContactWorkPhone": "sample string 32",
"EmergencyContactMobilePhone": "sample string 33"
}
application/xml, text/xml
<UserViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIWebRole.Controllers">
<ACSystemId>13c5e8d8-334a-4c31-b456-5f1926eb0b2e</ACSystemId>
<ACSystemName>sample string 13</ACSystemName>
<AccessLevelGroups>
<AccessLevelGroupViewModel>
<AccessLevelGroupId>1</AccessLevelGroupId>
<Name>sample string 2</Name>
</AccessLevelGroupViewModel>
<AccessLevelGroupViewModel>
<AccessLevelGroupId>1</AccessLevelGroupId>
<Name>sample string 2</Name>
</AccessLevelGroupViewModel>
</AccessLevelGroups>
<AccessLevels>
<AccessLevelViewModel>
<ACSystemId>0bfbdf29-2e83-4cb9-b7c9-91ff1a281b0d</ACSystemId>
<AccessLevelEndDate>2026-08-20T21:32:20.9408111+00:00</AccessLevelEndDate>
<AccessLevelId>1</AccessLevelId>
<AccessLevelStartDate>2026-08-20T21:32:20.9408111+00:00</AccessLevelStartDate>
<ApplyByDefault>true</ApplyByDefault>
<CompanyId>f3fe341f-85ff-4c21-86e7-dae14cbaae34</CompanyId>
<Deleted>true</Deleted>
<Name>sample string 2</Name>
</AccessLevelViewModel>
<AccessLevelViewModel>
<ACSystemId>0bfbdf29-2e83-4cb9-b7c9-91ff1a281b0d</ACSystemId>
<AccessLevelEndDate>2026-08-20T21:32:20.9408111+00:00</AccessLevelEndDate>
<AccessLevelId>1</AccessLevelId>
<AccessLevelStartDate>2026-08-20T21:32:20.9408111+00:00</AccessLevelStartDate>
<ApplyByDefault>true</ApplyByDefault>
<CompanyId>f3fe341f-85ff-4c21-86e7-dae14cbaae34</CompanyId>
<Deleted>true</Deleted>
<Name>sample string 2</Name>
</AccessLevelViewModel>
</AccessLevels>
<AccessRightsSuspended>true</AccessRightsSuspended>
<AccessRightsSuspendedEnd>2026-08-20T21:32:20.9408111+00:00</AccessRightsSuspendedEnd>
<AccessRightsSuspendedStart>2026-08-20T21:32:20.9408111+00:00</AccessRightsSuspendedStart>
<ActiveLoginDatetime>2026-08-20T21:32:20.9408111+00:00</ActiveLoginDatetime>
<BadgeTemplateId>a58138a2-aaf0-4a99-a3e0-671c226cf489</BadgeTemplateId>
<Cards>
<PersonCardViewModel>
<CardACSystemId>f047e8ed-3726-4b67-981c-3019fbd56ab9</CardACSystemId>
<CardACSystemName>sample string 6</CardACSystemName>
<CardActivationStartDateTime>2026-08-20T21:32:20.9408111+00:00</CardActivationStartDateTime>
<CardDeactivationStartDateTime>2026-08-20T21:32:20.9408111+00:00</CardDeactivationStartDateTime>
<CardId>4d9bb0cb-89f9-4cb9-a4bf-02c6998153b7</CardId>
<CardName>sample string 2</CardName>
<CardSerialNumber>1</CardSerialNumber>
<CardType>4</CardType>
<CardUserFlags>ActiveCardholderRecord</CardUserFlags>
<CredentialType>Proximity</CredentialType>
<DateInserted>2026-08-20T21:32:20.9408111+00:00</DateInserted>
<DateUpdated>2026-08-20T21:32:20.9408111+00:00</DateUpdated>
<EncryptedMobileCredentials>
<EncryptedCredentialData>
<EncryptedCredential>sample string 3</EncryptedCredential>
<KeyIndex>2</KeyIndex>
<MobileKeySetId>ddefd78c-bd5f-4151-b876-8dab16eda5c1</MobileKeySetId>
</EncryptedCredentialData>
<EncryptedCredentialData>
<EncryptedCredential>sample string 3</EncryptedCredential>
<KeyIndex>2</KeyIndex>
<MobileKeySetId>ddefd78c-bd5f-4151-b876-8dab16eda5c1</MobileKeySetId>
</EncryptedCredentialData>
</EncryptedMobileCredentials>
<ExternalCardNumber>sample string 8</ExternalCardNumber>
<FacilityCode>9</FacilityCode>
<HidInvitationCode>sample string 13</HidInvitationCode>
<InternalCardNumber>7</InternalCardNumber>
<InvitationRedeemedDateTime>2026-08-20T21:32:20.9408111+00:00</InvitationRedeemedDateTime>
<IssueCode>10</IssueCode>
<PIN>sample string 11</PIN>
<PersonCardId>fe5be779-0db3-42a4-8e46-150d1e9cbd61</PersonCardId>
</PersonCardViewModel>
<PersonCardViewModel>
<CardACSystemId>f047e8ed-3726-4b67-981c-3019fbd56ab9</CardACSystemId>
<CardACSystemName>sample string 6</CardACSystemName>
<CardActivationStartDateTime>2026-08-20T21:32:20.9408111+00:00</CardActivationStartDateTime>
<CardDeactivationStartDateTime>2026-08-20T21:32:20.9408111+00:00</CardDeactivationStartDateTime>
<CardId>4d9bb0cb-89f9-4cb9-a4bf-02c6998153b7</CardId>
<CardName>sample string 2</CardName>
<CardSerialNumber>1</CardSerialNumber>
<CardType>4</CardType>
<CardUserFlags>ActiveCardholderRecord</CardUserFlags>
<CredentialType>Proximity</CredentialType>
<DateInserted>2026-08-20T21:32:20.9408111+00:00</DateInserted>
<DateUpdated>2026-08-20T21:32:20.9408111+00:00</DateUpdated>
<EncryptedMobileCredentials>
<EncryptedCredentialData>
<EncryptedCredential>sample string 3</EncryptedCredential>
<KeyIndex>2</KeyIndex>
<MobileKeySetId>ddefd78c-bd5f-4151-b876-8dab16eda5c1</MobileKeySetId>
</EncryptedCredentialData>
<EncryptedCredentialData>
<EncryptedCredential>sample string 3</EncryptedCredential>
<KeyIndex>2</KeyIndex>
<MobileKeySetId>ddefd78c-bd5f-4151-b876-8dab16eda5c1</MobileKeySetId>
</EncryptedCredentialData>
</EncryptedMobileCredentials>
<ExternalCardNumber>sample string 8</ExternalCardNumber>
<FacilityCode>9</FacilityCode>
<HidInvitationCode>sample string 13</HidInvitationCode>
<InternalCardNumber>7</InternalCardNumber>
<InvitationRedeemedDateTime>2026-08-20T21:32:20.9408111+00:00</InvitationRedeemedDateTime>
<IssueCode>10</IssueCode>
<PIN>sample string 11</PIN>
<PersonCardId>fe5be779-0db3-42a4-8e46-150d1e9cbd61</PersonCardId>
</PersonCardViewModel>
</Cards>
<CheckInDateTime>2026-08-20T21:32:20.9408111+00:00</CheckInDateTime>
<CheckOutDateTime>2026-08-20T21:32:20.9408111+00:00</CheckOutDateTime>
<CompanyInstanceType>11</CompanyInstanceType>
<CompanyName>sample string 12</CompanyName>
<ContactItems>
<ContactInfoUserViewModel>
<ContactInfoId>16200628-113c-4fb6-8311-a1a997a474c1</ContactInfoId>
<ContactType>sample string 2</ContactType>
<Deleted>true</Deleted>
<IsDefault>true</IsDefault>
<Label>sample string 3</Label>
<Value>sample string 4</Value>
</ContactInfoUserViewModel>
<ContactInfoUserViewModel>
<ContactInfoId>16200628-113c-4fb6-8311-a1a997a474c1</ContactInfoId>
<ContactType>sample string 2</ContactType>
<Deleted>true</Deleted>
<IsDefault>true</IsDefault>
<Label>sample string 3</Label>
<Value>sample string 4</Value>
</ContactInfoUserViewModel>
</ContactItems>
<DefaultEmail>sample string 8</DefaultEmail>
<DefaultFloorId>f2e32b16-16dc-4784-9853-08e1c7a7fed8</DefaultFloorId>
<DefaultFloorName>sample string 6</DefaultFloorName>
<DefaultFloorStopId>1</DefaultFloorStopId>
<DefaultFloorStopName>sample string 7</DefaultFloorStopName>
<DefaultPhone>sample string 9</DefaultPhone>
<Deleted>true</Deleted>
<DepartmentCode>sample string 23</DepartmentCode>
<DepartmentName>sample string 22</DepartmentName>
<EmergencyContactHomePhone>sample string 31</EmergencyContactHomePhone>
<EmergencyContactMobilePhone>sample string 33</EmergencyContactMobilePhone>
<EmergencyContactName>sample string 29</EmergencyContactName>
<EmergencyContactRelationship>sample string 30</EmergencyContactRelationship>
<EmergencyContactWorkPhone>sample string 32</EmergencyContactWorkPhone>
<EmployeeNumber>sample string 17</EmployeeNumber>
<EmploymentTermId>Permanent</EmploymentTermId>
<EmploymentTermName>sample string 26</EmploymentTermName>
<EndDatetime>2026-08-20T21:32:20.9408111+00:00</EndDatetime>
<FacilityId>3d73c63d-1347-4649-82f2-2f9f1e0d8a39</FacilityId>
<FacilityName>sample string 10</FacilityName>
<FirstName>sample string 2</FirstName>
<FloorStopAccess>
<FloorStopAccessViewModel>
<AccessRightsGrantedEnd>2026-08-20T21:32:20.9408111+00:00</AccessRightsGrantedEnd>
<AccessRightsGrantedStart>2026-08-20T21:32:20.9408111+00:00</AccessRightsGrantedStart>
<FloorStopName>sample string 2</FloorStopName>
<FloorStopScheduleId>1</FloorStopScheduleId>
<ScheduleName>sample string 3</ScheduleName>
</FloorStopAccessViewModel>
<FloorStopAccessViewModel>
<AccessRightsGrantedEnd>2026-08-20T21:32:20.9408111+00:00</AccessRightsGrantedEnd>
<AccessRightsGrantedStart>2026-08-20T21:32:20.9408111+00:00</AccessRightsGrantedStart>
<FloorStopName>sample string 2</FloorStopName>
<FloorStopScheduleId>1</FloorStopScheduleId>
<ScheduleName>sample string 3</ScheduleName>
</FloorStopAccessViewModel>
</FloorStopAccess>
<HasPicture>true</HasPicture>
<JobTitle>sample string 21</JobTitle>
<LastName>sample string 3</LastName>
<MiddleInitial>sample string 4</MiddleInitial>
<Nickname>sample string 5</Nickname>
<OfficeDeskLocation>sample string 28</OfficeDeskLocation>
<PersonId>4f35310b-3314-46e5-aa5d-cc68d5ecca95</PersonId>
<PersonPhotoUri>sample string 19</PersonPhotoUri>
<PronounId>046d62a8-7d6a-496e-bfb4-48ec89a4a7f9</PronounId>
<PronounName>sample string 24</PronounName>
<ReaderAccess>
<ReaderAccessViewModel>
<AccessRightsGrantedEnd>2026-08-20T21:32:20.9408111+00:00</AccessRightsGrantedEnd>
<AccessRightsGrantedStart>2026-08-20T21:32:20.9408111+00:00</AccessRightsGrantedStart>
<ReaderName>sample string 2</ReaderName>
<ReaderScheduleId>1</ReaderScheduleId>
<ScheduleName>sample string 3</ScheduleName>
</ReaderAccessViewModel>
<ReaderAccessViewModel>
<AccessRightsGrantedEnd>2026-08-20T21:32:20.9408111+00:00</AccessRightsGrantedEnd>
<AccessRightsGrantedStart>2026-08-20T21:32:20.9408111+00:00</AccessRightsGrantedStart>
<ReaderName>sample string 2</ReaderName>
<ReaderScheduleId>1</ReaderScheduleId>
<ScheduleName>sample string 3</ScheduleName>
</ReaderAccessViewModel>
</ReaderAccess>
<Roles>
<PersonRoleViewModel>
<Name>sample string 5</Name>
<RoleId>4</RoleId>
<RoleScopeId>724ccb5d-ebaa-440c-9765-948f0bfe4a34</RoleScopeId>
<RoleScopeName>sample string 3</RoleScopeName>
<RoleScopeTypeId>1</RoleScopeTypeId>
<RoleScopeTypeName>sample string 2</RoleScopeTypeName>
</PersonRoleViewModel>
<PersonRoleViewModel>
<Name>sample string 5</Name>
<RoleId>4</RoleId>
<RoleScopeId>724ccb5d-ebaa-440c-9765-948f0bfe4a34</RoleScopeId>
<RoleScopeName>sample string 3</RoleScopeName>
<RoleScopeTypeId>1</RoleScopeTypeId>
<RoleScopeTypeName>sample string 2</RoleScopeTypeName>
</PersonRoleViewModel>
</Roles>
<StartDatetime>2026-08-20T21:32:20.9408111+00:00</StartDatetime>
<UDFs>
<UDFLabelValueViewModel>
<UDFId>cfc981ec-ca49-4f01-b891-daa793df0262</UDFId>
<UDFLabelName>sample string 2</UDFLabelName>
<UDFValue>sample string 3</UDFValue>
</UDFLabelValueViewModel>
<UDFLabelValueViewModel>
<UDFId>cfc981ec-ca49-4f01-b891-daa793df0262</UDFId>
<UDFLabelName>sample string 2</UDFLabelName>
<UDFValue>sample string 3</UDFValue>
</UDFLabelValueViewModel>
</UDFs>
<Vehicles>
<PersonUpdateVehicleViewModel>
<Color>sample string 9</Color>
<Description>sample string 5</Description>
<Make>sample string 7</Make>
<Model>sample string 8</Model>
<PersonId>6d55443a-5db6-4223-beab-86fae4727ba7</PersonId>
<PlateNumber>sample string 10</PlateNumber>
<Year>sample string 6</Year>
<sRegionId>f2713caf-0ee9-4fc9-b837-7673db4f9344</sRegionId>
<sVehicleTypeId>c2498d43-96e5-4845-9fd6-a5431a24ec53</sVehicleTypeId>
<PersonVehicleId>4c4a98e0-bcb6-485f-b0b1-4c6b1b46389e</PersonVehicleId>
<VehicleId>3da9b704-0fac-4afe-8b2e-086b73595f97</VehicleId>
</PersonUpdateVehicleViewModel>
<PersonUpdateVehicleViewModel>
<Color>sample string 9</Color>
<Description>sample string 5</Description>
<Make>sample string 7</Make>
<Model>sample string 8</Model>
<PersonId>6d55443a-5db6-4223-beab-86fae4727ba7</PersonId>
<PlateNumber>sample string 10</PlateNumber>
<Year>sample string 6</Year>
<sRegionId>f2713caf-0ee9-4fc9-b837-7673db4f9344</sRegionId>
<sVehicleTypeId>c2498d43-96e5-4845-9fd6-a5431a24ec53</sVehicleTypeId>
<PersonVehicleId>4c4a98e0-bcb6-485f-b0b1-4c6b1b46389e</PersonVehicleId>
<VehicleId>3da9b704-0fac-4afe-8b2e-086b73595f97</VehicleId>
</PersonUpdateVehicleViewModel>
</Vehicles>
<WebSiteRightsSuspended>true</WebSiteRightsSuspended>
<WebSiteRightsSuspendedEnd>2026-08-20T21:32:20.9408111+00:00</WebSiteRightsSuspendedEnd>
<WebSiteRightsSuspendedStart>2026-08-20T21:32:20.9408111+00:00</WebSiteRightsSuspendedStart>
<WorkEnvironmentTypeId>78f7fbe0-f5c7-4e77-9c06-a657323f1c7e</WorkEnvironmentTypeId>
<WorkEnvironmentTypeName>sample string 25</WorkEnvironmentTypeName>
<WorkerTypeId>Employee</WorkerTypeId>
<WorkerTypeName>sample string 27</WorkerTypeName>
<sGenderId>1</sGenderId>
</UserViewModel>